/******************************************* ADOBE CONFIDENTIAL NOTICE ***/
/*                                                                       */
/*                        ADOBE CONFIDENTIAL                             */
/*                        ------------------                             */
/*                                                                       */
/* Copyright 1996-2002, Adobe Systems Incorporated, All Rights Reserved. */
/*                                                                       */
/* NOTICE: All information contained herein is, and remains              */
/* the property of Adobe Systems Incorporated and its suppliers,         */
/* if any.  The intellectual and technical concepts contained            */
/* herein are proprietary to Adobe Systems Incorporated and its          */
/* suppliers and may be covered by U.S. and Foreign Patents, patents     */
/* in process, and are protected by trade secret or copyright law.       */
/* Dissemination of this information or reproduction of this material    */
/* is strictly forbidden unless prior written permission is obtained     */
/* from Adobe Systems Incorporated.                                      */
/*                                                                       */
/******************************************* ADOBE CONFIDENTIAL NOTICE ***/
/*
	======================================================================== 
	Module: jsAlloc.c
	======================================================================== 

	Platform independent code to handle JavaScript Shell, uses Mac memory routines.

	======================================================================== 
*/

#include <Memory.h>
#include "jsAlloc.h"

/* ---- Global typedefs, #defines, and enums ---- */

void* JS_ESMALLOC(size_t numBytes)
{
/*	return miSureMalloc((os_size_t)numBytes);	/**/
	if (numBytes <= 0)
		numBytes = 1;
	return NewPtrClear(numBytes);
}


void* JS_ESCALLOC(size_t num, size_t numBytes)
{
/*	return miSureCalloc((os_size_t)num, (os_size_t)numBytes);	/**/
	size_t size = num * numBytes;
	if (size <= 0)
		size = 1;
	return NewPtrClear(size);
}


void* JS_ESREALLOC(void *ptr, size_t newNumBytes)
{
/*	return miSureRealloc(ptr, (os_size_t)newNumBytes);	/**/

	Ptr newPtr = 0;

	if (newNumBytes <= 0)
		newNumBytes = 1;

	newPtr = JS_ESMALLOC(newNumBytes);
	BlockMove(ptr, newPtr, newNumBytes);
	JS_ESFREE(ptr);

	return newPtr;
}


void  JS_ESFREE(void *X)
{
/*	miIfNotNullFree(X);	/**/
	if (X)
		DisposePtr((Ptr)X);
}
